Bug 1470339 - [3.4] Error upgrading control_plane
[3.4] Error upgrading control_plane
Status: ASSIGNED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
3.4.1
Unspecified Unspecified
high Severity high
: ---
: 3.4.z
Assigned To: Scott Dodson
Anping Li
: NeedsTestCase
Depends On: 1468572
Blocks: 1470338
  Show dependency treegraph
 
Reported: 2017-07-12 14:40 EDT by Scott Dodson
Modified: 2017-07-17 21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1468572
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The upgrade logs (11.88 KB, application/x-gzip)
2017-07-17 21:55 EDT, Anping Li
no flags Details

  None (edit)
Comment 2 liujia 2017-07-13 03:33:46 EDT
Version:
atomic-openshift-utils-3.4.116-1.git.0.5d0e9b6.el7.noarch

Steps:
1. install ocp3.3
2. oc login with non system:admin user on master host
...
current-context: /x.x.x.x:8443/test
...
3. upgrade 3.3 to 3.4

Result:
Upgrade control_plane still failed due to another similar issue.

failed: [openshift-x.x.x.x] (item=/usr/share/openshift/examples/image-streams/dotnet_imagestreams.json) => {
    "changed": false,
    "cmd": [
        "oc",
        "create",
        "-n",
        "openshift",
        "-f",
        "/usr/share/openshift/examples/image-streams/dotnet_imagestreams.json"
    ],
    "delta": "0:00:00.405391",
    "end": "2017-07-13 03:18:41.410389",
    "failed": true,
    "failed_when_result": true,
    "invocation": {
        "module_args": {
            "_raw_params": "oc create -n openshift -f /usr/share/openshift/examples/image-streams/dotnet_imagestreams.json",
            "_uses_shell": false,
            "chdir": null,
            "creates": null,
            "executable": null,
            "removes": null,
            "warn": true
        },
        "module_name": "command"
    },
    "item": "/usr/share/openshift/examples/image-streams/dotnet_imagestreams.json",
    "rc": 1,
    "start": "2017-07-13 03:18:41.004998",
    "warnings": []
}

STDERR:

Error from server: User "test" cannot create imagestreams in project "openshift"
        to retry, use: --limit @/usr/share/ansible/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_4/upgrade_control_plane.retry

PLAY RECAP *********************************************************************
localhost                  : ok=34   changed=2    unreachable=0    failed=0
openshift-x.x.x.x : ok=309  changed=36   unreachable=0    failed=1
Comment 4 Anping Li 2017-07-17 01:42:06 EDT
Failed with atomic-openshift-utils-3.4.118-1.git.0.c57cb80.el7.noarch

TASK [setup] *******************************************************************
ok: [host-8-175-178.host.centralci.eng.rdu2.redhat.com]

TASK [Determine if node is currently scheduleable] *****************************
fatal: [host-8-175-178.host.centralci.eng.rdu2.redhat.com -> host-8-175-178.host.centralci.eng.rdu2.redhat.com]: FAILED! => {
    "changed": false, 
    "cmd": [
        "/usr/local/bin/oc", 
        "get", 
        "node", 
        "host-8-175-178.host.centralci.eng.rdu2.redhat.com", 
        "-o", 
        "json"
    ], 
    "delta": "0:00:01.034996", 
    "end": "2017-07-17 05:34:27.392526", 
    "failed": true, 
    "rc": 1, 
    "start": "2017-07-17 05:34:26.357530", 
    "warnings": []
}

STDERR:

Error from server: User "anli@redhat.com" cannot get nodes at the cluster scope

NO MORE HOSTS LEFT *************************************************************
	to retry, use: --limit @/usr/share/ansible/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_4/upgrade.retry
Comment 6 Anping Li 2017-07-17 21:55 EDT
Created attachment 1300195 [details]
The upgrade logs

Note You need to log in before you can comment on or make changes to this bug.